<div *ngIf="widget.link" [ngSwitch]="widget.linkType">

  <a *ngSwitchCase="'extern'" [href]="widget.link" target="_blank">
    <img [src]="widget.src">
  </a>

  <a *ngSwitchDefault [href]="widget.link">
    <img [src]="widget.src">
  </a>

</div>

<img *ngIf="!widget.link" [src]="widget.src">
